import ScanTaskManage from "./views/ScanTaskManage";
import ArchivesManage from "./views/ArchivesManage";
import ArchivesDetail from "./views/ArchivesDetail";
import LibraryManage from "./views/LibraryManage";

export default [
  {
    path: "/record/scan-task-manage",
    name: "ScanTaskManage",
    component: ScanTaskManage
  },
  {
    path: "/record/archives-manage",
    name: "ArchivesManage",
    component: ArchivesManage
  },
  {
    path: "/record/archives-detail/:archivesId",
    name: "ArchivesDetail",
    component: ArchivesDetail,
    meta: {
      relate: "ArchivesManage"
    }
  },
  {
    path: "/record/library-manage",
    name: "LibraryManage",
    component: LibraryManage
  }
];
