import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

// TODO:待完善
const privilegeMapData = window.sessionStorage.getItem("privilegeMap");
const privilegeMap = privilegeMapData ? JSON.parse(privilegeMapData).value : {};

// modules
import { keepAliveRoutesPairs } from "@/constants/enumerate";

export default new Vuex.Store({
  state: {
    user: {},
    privilegeMap,
    shortupMenus: [],
    keepAliveRoutes: keepAliveRoutesPairs.map(v => v[0])
  },
  mutations: {
    setUser(state, user) {
      state.user = user;
    },
    setPrivilegeMap(state, privilegeMap) {
      state.privilegeMap = privilegeMap;
    },
    setEmptyKeepAliveRoutes(state) {
      state.keepAliveRoutes = [];
    },
    setRestoreKeepAliveRoutes(state) {
      state.keepAliveRoutes = keepAliveRoutesPairs.map(v => v[0]);
    }
  },
  actions: {},
  modules: {}
});
