import { randomCode } from "../plugins/utils";

export default [
  {
    getSubMenu(privileges) {
      const relateMenu = privileges.find(item => item.url === "ArchivesManage");
      if (!relateMenu || !relateMenu.links) return;

      const validPrivilege = relateMenu.links.find(
        item => item.url.toLowerCase() === "detail"
      );
      if (!validPrivilege) return;

      return {
        id: randomCode(),
        parentId: relateMenu.parentId,
        name: "档案详情",
        type: "MENU",
        url: "ArchivesDetail"
      };
    }
  }
];
