// user
import OrganizationManage from "./views/OrganizationManage.vue";
import RoleManage from "./views/RoleManage.vue";
import UserManage from "./views/UserManage.vue";
import SystemSetting from "./views/SystemSetting.vue";

// dict
import StudentManage from "./views/StudentManage.vue";
import SemesterManage from "./views/SemesterManage.vue";
import ArchivesTypeManage from "./views/ArchivesTypeManage.vue";

export default [
  {
    path: "/base/organization-manage",
    name: "OrganizationManage",
    component: OrganizationManage
  },
  {
    path: "/base/role-manage",
    name: "RoleManage",
    component: RoleManage
  },
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage
  },
  {
    path: "/base/system-setting",
    name: "SystemSetting",
    component: SystemSetting
  },
  {
    path: "/base/student-manage",
    name: "StudentManage",
    component: StudentManage
  },
  {
    path: "/base/semester-manage",
    name: "SemesterManage",
    component: SemesterManage
  },
  {
    path: "/base/archives-type-manage",
    name: "ArchivesTypeManage",
    component: ArchivesTypeManage
  }
];
